> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# सूची सदस्यों का अवलोकन

> सूची सदस्य एंडपॉइंट्स के साथ शुरुआत करें

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

सूची सदस्य एंडपॉइंट आपको किसी सूची के सदस्यों को देखने और सूची सदस्यता प्रबंधित करने की सुविधा देते हैं।

<Note>
  **पूर्वापेक्षाएँ**

  शुरू करने से पहले, आपको इनकी आवश्यकता होगी:

  * स्वीकृत ऐप के साथ एक [डेवलपर खाता](https://developer.x.com/en/portal/petition/essential/basic-info)
  * आपके ऐप का बेयरर टोकन (लुकअप के लिए)
  * यूज़र एक्सेस टोकन (सदस्यों के प्रबंधन के लिए)
</Note>

***

<div id="available-endpoints">
  ## उपलब्ध एंडपॉइंट
</div>

<CardGroup cols={2}>
  <Card title="सूची सदस्यों को देखें" icon="users" href="/hi/x-api/lists/list-members/quickstart/list-members-lookup">
    किसी सूची के सदस्य प्राप्त करें
  </Card>

  <Card title="सूची सदस्यों का प्रबंधन" icon="user-plus" href="/hi/x-api/lists/list-members/quickstart/manage-list-members">
    सदस्यों को जोड़ें और हटाएँ
  </Card>
</CardGroup>

***

<div id="authentication">
  ## प्रमाणीकरण
</div>

| ऑपरेशन                  | प्रमाणीकरण                                |
| :---------------------- | :---------------------------------------- |
| सदस्यों को खोजें        | बेयरर टोकन, OAuth 1.0a, या OAuth 2.0 PKCE |
| सदस्यों को जोड़ें/हटाएँ | OAuth 1.0a या OAuth 2.0 PKCE              |

***

<div id="quick-example">
  ## त्वरित उदाहरण
</div>

<CodeGroup dropdown>
  ```bash cURL theme={null}
  # सूची के सदस्यों को प्राप्त करें
  curl "https://api.x.com/2/lists/84839422/members" \
    -H "Authorization: Bearer $BEARER_TOKEN"
  ```

  ```python Python SDK theme={null}
  from xdk import Client

  client = Client(bearer_token="YOUR_BEARER_TOKEN")

  # सूची के सदस्यों को प्राप्त करें
  for page in client.lists.get_members("84839422"):
      for user in page.data:
          print(f"{user.username}")
  ```

  ```javascript JavaScript SDK theme={null}
  import { Client } from "@xdevplatform/xdk";

  const client = new Client({ bearerToken: "YOUR_BEARER_TOKEN" });

  // सूची के सदस्यों को प्राप्त करें
  const paginator = client.lists.getMembers("84839422");

  for await (const page of paginator) {
    page.data?.forEach((user) => {
      console.log(user.username);
    });
  }
  ```
</CodeGroup>

***

<div id="next-steps">
  ## आगे के चरण
</div>

<CardGroup cols={2}>
  <Card title="सूची विवरण" icon="list" href="/hi/x-api/lists/list-lookup/quickstart">
    सूची का विवरण प्राप्त करें
  </Card>

  <Card title="सूची पोस्ट्स" icon="message" href="/hi/x-api/lists/list-tweets/quickstart">
    किसी सूची से पोस्ट्स प्राप्त करें
  </Card>
</CardGroup>
